config/routes.rb
Rails.application.routes.draw do

  root 'posts#index'

  devise_for :users, controllers: { omniauth_callbacks: 'callbacks' } 

  resources :users, only: [:show, :index]

  resources :posts

  resources :comments

  resources :likes

  resources :friendships

  get :pending_requests, to: 'friendships#pending'
end

app/views/layouts/_header.html.erb
<% if user_signed_in? %>
  <header class="main-header signed-in">
    <nav class="site-navbar signed-in">
      <div class="nav-content">
        <%= link_to "Home", root_path, class: "small-logo" %>

        <%= render 'layouts/notification_dropdown' %>

        <%= link_to users_path, title: "All Users" do %>
        <i class="fas fa-users"></i>
      <% end %>

      <%= button_to destroy_user_session_path, method: :delete, title: "Sign Out" do %>
      <i class="fas fa-sign-out-alt"></i>
    <% end %>

  </div>
</nav>
</header>
<% else %>
<header class="main-header">
<nav class="site-navbar">
  <div class="nav-content guest">
    <%= link_to "Home", root_path, class: "logo navbar-brand" %>
    <%= render 'new_session' %>
  </div>

<div class="nav-content-small">
  <div class="small">
    <%= link_to "Home", root_path, class: "logo navbar-brand" %>
    <button class="btn" title="Sign In" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
      Sign In
    </button>
  </div>
  <div class="collapse" id="collapseExample">
      <%= render 'new_session' %>
  </div>
</div>
</nav>
</header>
<% end %>

app/views/layouts/_notification_dropdown.html.erb
<% pending_friends = current_user.pending_friends_notification %>
  <div class="dropdown show" title="Notifications">
    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      <i class="far fa-bell"></i>
      <% if pending_friends.any? %>
        <span class="badge"><%= pending_friends.count %></span>
        <span class="sr-only">pending request(s)</span>
      <% end %>
    </a>

    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">

      <% if pending_friends.any? %>
        <% pending_friends.each do |user| %>
          <%= link_to user.name, user, class: 'dropdown-item' %>
        <% end %>
        <%= link_to 'See all', pending_requests_path, class: 'dropdown-item' %>
      <% else %>
      <div class='dropdown-item'> No pending request </div>
      <% end %>

    </div>
  </div>

app/views/layouts/_rails_default.html.erb
<%= csrf_meta_tags %>
<%= csp_meta_tag %>

<%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
<%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Facebook Clone</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%= render 'layouts/rails_default' %>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
  </head>
  <body>
    <%= render 'layouts/header' %>
    <% flash.each do |message_type, message| %>
      <%= content_tag(:div, message, class: "alert alert-#{message_type}") %>
    <% end %>
    <%= yield %>
  </body>
</html>